Subject: [os2genau_digest] No. 1774
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Sun, 1 Feb 2009 00:00:58 AET-10EDT,10,1,0,7200,4,1,0,7200,3600

**************************************************
Saturday 31 January 2009
 Number  1774
**************************************************

Subjects for today
 
1  Re:  ot: GPRS NextG/3G mobile data Q : Wayne <smee.wayne at gmail dot com>
2  Re:  ot: GPRS NextG/3G mobile data Q : Mike O'Connor <mikeoc at internode.on dot net>
3  Re:  ot: GPRS NextG/3G mobile data Q : Mike O'Connor <mikeoc at internode.on dot net>
4  Re:  ot: GPRS NextG/3G mobile data Q : Voytek Eymont" <voytek at sbt dot net dot au>
5  Re:  ot: GPRS NextG/3G mobile data Q : Voytek Eymont" <voytek at sbt dot net dot au>
6   Can it be that easy to upgrade to JAVA 1.5 ?? : Ed Durrant <edurrant at durrant dot mine dot nu>
7  Re:  Can it be that easy to upgrade to JAVA 1.5 ?? : Ed Durrant <edurrant at durrant dot mine dot nu>

**= Email   1 ==========================**

Date:  Sat, 31 Jan 2009 10:30:41
From:  Wayne <smee.wayne at gmail dot com>
Subject:  Re:  ot: GPRS NextG/3G mobile data Q

** Reply to note from "Voytek Eymont" <voytek at sbt dot net dot au> Thu, 29 Jan 2009 06:35:52 +1100 (EST)
>   
>   
> <quote who=3D"Ed Durrant">
> > Ed Durrant wrote:
> >
> >> Voytek Eymont wrote:
>   
> > By the way - the string you need to set the APN for Telstra Next-G is:
> >
> >
> > AT+CGDCONT=3D1,"IP"."telstra.internet",,0,0
>   
>   
>   
> and GPRS is:
>   
> GPRS Mobile Internet Settings
> Connection name: Telstra.internet
> Dial-up number: *99#
> Access Point Name (or APN): If using your phone's built-in connection
> software - telstra.internet. If using a Windows dial-up connection, add
> Modem Initialisation String: at+cgdcont=3D1,"ip","telstra.internet" (also
>   
> so it does seeem that same settings are for GPRS and NextG
>   
>   
>   
> --=20
> Voytek
>   

MAYBE

How CGDCONT works:-
CGDCONT sets up one of the CIDs in the device.  Your device may
have 100 possible CIDs.  AT+CGDCONT=1,... sets up CID1.
AT+CGDCONT=3,... sets up CID3.  To dial CID1 use ATD*99***1#.  To
dial CID3 use ATD*99***3#.

To view what CIDs are currently set up in your device, enter
AT+CGDCONT=?.

Connecting to NextG has another little "quirk" as well.

Cheers
Wayne

----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Sat, 31 Jan 2009 13:19:55 +1000
From:  Mike O'Connor <mikeoc at internode.on dot net>
Subject:  Re:  ot: GPRS NextG/3G mobile data Q

Voytek Eymont wrote:
>> Ed Durrant wrote:
>>     
>> By the way - the string you need to set the APN for Telstra Next-G is:
>>
>> AT+CGDCONT=1,"IP"."telstra.internet",,0,0
> and GPRS is:
>
> GPRS Mobile Internet Settings
> Connection name: Telstra.internet
> Dial-up number: *99#
> Access Point Name (or APN): If using your phone's built-in connection
> software - telstra.internet. If using a Windows dial-up connection, add
> Modem Initialisation String: at+cgdcont=1,"ip","telstra.internet" (also
>
> so it does seeem that same settings are for GPRS and NextG
Hi Voytek,

I also note the following bits on the telstra webpages:
> Some Next G handsets have 3G ONLY mode (as opposed to DUAL MODE), 
> resulting in the handset having difficulties in re-acquiring the Next 
> G? network after a period of no signal. This results in the handset 
> appearing to have less coverage. Check the optimal network settings 
> for your Next G handset.
and:
> What are the Telstra network settings for WAP, MMS, GPRS or mobile 
> internet?
>
> Answer:   
>
> The easiest way to set up your mobile for MMS, mobile internet, GPRS 
> or WAP is to use our online configuration tool.
>
> If the configuration tool doesn't support your handset, you can enter 
> the settings manually. The settings for GPRS, WAP or MMS can usually 
> be entered in the Phone Settings or Network Settings menu of your 
> phone. You may need to check your mobile's user guide for instructions 
> or contact your mobile's manufacturer on where to enter these settings.
>
> View Telstra settings for GPRS WAP, MMS, GPRS mobile internet or 
> streaming.
>
> GPRS WAP settings
> Connection name: Telstra.Wap
> Data Bearer: GPRS/Packet Data
> Access Point Name: telstra.wap.mnc001.mcc505.gprs (or just telstra.wap)
> Username: (Leave Blank)
> Password: (Leave Blank)
> Authentication: Normal
> Proxy or Gateway IP: For WAP1 Devices - 10.1.1.150 (Secure Port 9203, 
> Unsecure Port 9201). For WAP2 Devices - 10.1.1.181
> Port: 80
> Homepage: http://wap.telstra dot com/wap
> Connection Security: OFF or ON depending on level of security you require
> Session Mode: Permanent
>
> MMS settings
> Connection name: Telstra.mms
> Data Bearer: GPRS/Packet Data
> Access Point Name: telstra.mms.mnc001.mcc505.gprs (or just telstra.mms)
> Username: (Leave Blank)
> Password: (Leave Blank)
> Authentication: Normal
> Proxy or Gateway IP: For WAP1 Devices - 10.1.1.155 - Port 9201. For 
> WAP2 Devices - 10.1.1.180 - Port 80.
> Homepage or Push Server Address: http://mmsc.telstra dot com:8002
> Connection Security: OFF
> Session Mode: Permanent
>
> GPRS Mobile Internet Settings
> Connection name: Telstra.internet
> Dial-up number: *99#
> Access Point Name: If using your phone's built-in connection software 
> - telstra.internet. If using a Windows dial-up connection, add Modem 
> Initialisation String: at+cgdcont=1,"ip","telstra.internet" (also 
> refer to device manufacturer's documentation).
> Username: (Leave Blank)
> Password: (Leave Blank)
> IP & DNS: Server assigned
> IP Header Compression: off
> Software Compression:off
>
> Streaming Settings
> Connection name: Telstra Streaming
> Data Bearer: GPRS/Packet Data
> Access Point Name: telstra.internet
> Username: (Leave Blank)
> Password: (Leave Blank)
> Authentication: Normal
> UDP Port Range: 6970-7170
Dunno whether any of that is of assistance?

Regards,
Mike

-- 
Failed the exam for
--------------------
MCSE - Minesweeper Consultant and Solitaire Expert
--------------------
Personal replies to any of : 
mikeoc (at) internode (dot) on (dot) net
mikeoc (at) austarnet (dot) com (dot) au
majilok (at) gmail (dot) com
[Please ZIP any attachments, other than GIF/JPG or plain-text]
If you are missing a response from me - check Tweed Heads WX status at:
http://www.bom.gov.au/products/IDR663.loop.shtml#skip

----------------------------------------------------------------------------------

**= Email   3 ==========================**

Date:  Sat, 31 Jan 2009 13:33:11 +1000
From:  Mike O'Connor <mikeoc at internode.on dot net>
Subject:  Re:  ot: GPRS NextG/3G mobile data Q

Voytek Eymont wrote:
> Palm is bluetooth 1.1, so I expect that will be the bottle neck in this,
> AFAIK, BT 1.1 is 1Mb/sec, should I expect to see abt 1Mb/sec ?Hi voytek,
>   
Wikipedia says the following about Bluetooth 1.2: (1 mbps)
> Higher transmission speeds in practice, up to 721 kbit/s, than in 1.1
Regards,
Mike

-- 
Failed the exam for
--------------------
MCSE - Minesweeper Consultant and Solitaire Expert
--------------------
Personal replies to any of : 
mikeoc (at) internode (dot) on (dot) net
mikeoc (at) austarnet (dot) com (dot) au
majilok (at) gmail (dot) com
[Please ZIP any attachments, other than GIF/JPG or plain-text]
If you are missing a response from me - check Tweed Heads WX status at:
http://www.bom.gov.au/products/IDR663.loop.shtml#skip

----------------------------------------------------------------------------------

**= Email   4 ==========================**

Date:  Sat, 31 Jan 2009 16:09:29 +1100 (EST)
From:  "Voytek Eymont" <voytek at sbt dot net dot au>
Subject:  Re:  ot: GPRS NextG/3G mobile data Q

<quote who="Mike O'Connor">
> Voytek Eymont wrote:
>
>> Palm is bluetooth 1.1, so I expect that will be the bottle neck in
>> this, AFAIK, BT 1.1 is 1Mb/sec, should I expect to see abt 1Mb/sec ?Hi
>> voytek,
>>
> Wikipedia says the following about Bluetooth 1.2: (1 mbps)
>
>> Higher transmission speeds in practice, up to 721 kbit/s, than in 1.1

yes, I think it's supposed to be 1MB/s, but, I notice when I network over
BT to windoze, it shows something like 700 on windoze network object speed

-- 
Voytek

----------------------------------------------------------------------------------
 
**= Email   5 ==========================**

Date:  Sat, 31 Jan 2009 16:32:54 +1100 (EST)
From:  "Voytek Eymont" <voytek at sbt dot net dot au>
Subject:  Re:  ot: GPRS NextG/3G mobile data Q

<quote who="Mike O'Connor">
> Voytek Eymont wrote:
>
>>> Ed Durrant wrote:

> Dunno whether any of that is of assistance?

perhaps, but, will not know for a little while....

the phone I bought was faulty, DOA ...
and, this morning I lost the Palm....

but, as far as I can tell, a similar sequence is invoked for GPRS, Edge,
or 3G;

so, it should work

-- 
Voytek

----------------------------------------------------------------------------------
 
**= Email   6 ==========================**

Date:  Sat, 31 Jan 2009 22:23:19 +1100
From:  Ed Durrant <edurrant at durrant dot mine dot nu>
Subject:   Can it be that easy to upgrade to JAVA 1.5 ??

Hi,

  I have installed Java 1.5.0_07 windows code to a directory on my 
system and set up a couple of objects to run it under ODIN and Innowin. 
I can use these objects to run SnapBackup a Java backup program and sure 
enough, it reports V 1.5.0_07.

   Of course this is only relevant to local applications and running it 
under ODIN can leave code in memory afterwards.

  Now I know part of the reason that Innotek approached creating their 
Java, the way they did rather than doing a compile of the source code as 
Golden Compass did is so that future versions could be easily added 
without the need to compile the complete code. Innotek use their own 
customised version of ODIN to do this.

  So I thought ...... what if I leave the OS/2 exe files in place in my 
eCS Java v 1.42 but replace all the other files with the files from Java 
1.507 ? So after taking a full copy of my Java142 directory to 
java142-copy, I set the read only bit on all the exe files in java142 
and subdirectories and then xcopied the java 1.507 files over the 
Java142 directory structure.

  To get rid of any  files in memory, I then rebooted  the PC.

  Upon restarting, I found that the SnapBackup program that was still 
pointing at the (now modified) Java142 directory would not start however 
another Java application - GanntProject would without problems.

  I then started up Firefox and went to see if the www.java dot com site 
would tell me what version it thought I was running - it couldn't tell. 
Now that might be an issue with the website and OS/2 as I didn't check 
before hand.

  What I found VERY interesting is what I got back when I did a JAVA 
-Version from an OS/2 command prompt - it returned:

[G:\]java -version
java version "1.5.0_07"
Java(TM) 2 Runtime Environment, Standard Edition (build 1.5.0_07-b03)
Java HotSpot(TM) Client VM (build 1.5.0_07-b03, mixed mode)

So it sounds like the OS at least thinks it is running JAVA v 1.5, 
however to make things more confusing, when I did a JAVA -Fullversion I 
got the following response:

[G:\]java -fullversion
java full version "1.4.2_09-b05"

So as you can see it's not 100%.

What I would like to try is a website that will not work with Java v 1.4 
but will with Java v 1.5 - can someone give me an example. This should 
be a site that uses Java without you having to log into it.

Cheers/2

Ed.

----------------------------------------------------------------------------------

**= Email   7 ==========================**

Date:  Sat, 31 Jan 2009 22:28:27 +1100
From:  Ed Durrant <edurrant at durrant dot mine dot nu>
Subject:  Re:  Can it be that easy to upgrade to JAVA 1.5 ??

Ed Durrant wrote:
> Hi,
>
>  I have installed Java 1.5.0_07 windows code to a directory on my 
> system and set up a couple of objects to run it under ODIN and 
> Innowin. I can use these objects to run SnapBackup a Java backup 
> program and sure enough, it reports V 1.5.0_07.
>
>   Of course this is only relevant to local applications and running it 
> under ODIN can leave code in memory afterwards.
>
>  Now I know part of the reason that Innotek approached creating their 
> Java, the way they did rather than doing a compile of the source code 
> as Golden Compass did is so that future versions could be easily added 
> without the need to compile the complete code. Innotek use their own 
> customised version of ODIN to do this.
>
>  So I thought ...... what if I leave the OS/2 exe files in place in my 
> eCS Java v 1.42 but replace all the other files with the files from 
> Java 1.507 ? So after taking a full copy of my Java142 directory to 
> java142-copy, I set the read only bit on all the exe files in java142 
> and subdirectories and then xcopied the java 1.507 files over the 
> Java142 directory structure.
>
>  To get rid of any  files in memory, I then rebooted  the PC.
>
>  Upon restarting, I found that the SnapBackup program that was still 
> pointing at the (now modified) Java142 directory would not start 
> however another Java application - GanntProject would without problems.
>
>  I then started up Firefox and went to see if the www.java dot com site 
> would tell me what version it thought I was running - it couldn't 
> tell. Now that might be an issue with the website and OS/2 as I didn't 
> check before hand.
>
>  What I found VERY interesting is what I got back when I did a JAVA 
> -Version from an OS/2 command prompt - it returned:
>
> [G:\]java -version
> java version "1.5.0_07"
> Java(TM) 2 Runtime Environment, Standard Edition (build 1.5.0_07-b03)
> Java HotSpot(TM) Client VM (build 1.5.0_07-b03, mixed mode)
>
>
> So it sounds like the OS at least thinks it is running JAVA v 1.5, 
> however to make things more confusing, when I did a JAVA -Fullversion 
> I got the following response:
>
> [G:\]java -fullversion
> java full version "1.4.2_09-b05"
>
>
> So as you can see it's not 100%.
>
> What I would like to try is a website that will not work with Java v 
> 1.4 but will with Java v 1.5 - can someone give me an example. This 
> should be a site that uses Java without you having to log into it.
>
> Cheers/2
>
> Ed.
>
Answering my own post - I have found a site at http://browserspy.dk/java.php

Unfortunately it still identifies the Java as V 1.42 - so I suspect 
without an updated plugin we wont be able to tell the worls through the 
browser that we have v 1.5.

Cheers/2

Ed.
----------------------------------------------------------------------------------